Bug 16513 - Improvements and fixes for quote upload process
Summary: Improvements and fixes for quote upload process
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-13 13:59 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16513 - Improvements and fixes for quote upload process (6.31 KB, patch)
2016-05-13 14:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16513 - Improvements and fixes for quote upload process (6.45 KB, patch)
2016-05-28 19:21 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16513 - Improvements and fixes for quote upload process (6.52 KB, patch)
2016-06-19 13:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-13 13:59:16 UTC
I have a few minor improvements and fixes for the Quotes editor and upload process:

 - Removing 'onclick'
 - Making the 'Cancel upload' button work correctly
 - Add a 'Cancel upload' button to the toolbar
 - Capitalization corrections
Comment 1 Owen Leonard 2016-05-13 14:06:53 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-05-25 14:40:27 UTC
Can not test upload (with and without patch), see Bug 16589
Comment 3 Marc Véron 2016-05-28 19:21:16 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-06-19 13:30:09 UTC
Created attachment 52542 [details] [review]
Bug 16513 - Improvements and fixes for quote upload process

This patch fixes some minor bugs and adds a small enhancement to the
quotes editor and quotes upload pages.

To test, apply the patch and go to Tools -> Quote editor

- In the table of quotes, clicking the "ID" table header should trigger
  an alert, "Click on the quote's ide to select..."
- Go to "Import quotes" and select a file to upload.
- On the upload preview page you should see a new "Cancel import"
  button. Clicking it should return you to the quotes upload page after
  asking for confirmation.
- Test the upload cancel button:
  - If you have fast reflexes or are uploading a file large enough, you
    should be able to see a "Cancel upload" button during the upload
    process.
  - Clicking this button should cancel the upload and return you to the
    quote upload page.

Tested on top of Bug 16589, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2016-06-19 13:30:50 UTC
Not sure 'id_help' is a good id, but not important :)
Comment 6 Kyle M Hall 2016-06-24 13:47:51 UTC
Pushed to master for Koha 16.11, thanks Owen!
Comment 7 Frédéric Demians 2016-08-01 13:17:41 UTC
Pushed in 16.05. Will be in 16.05.02.